<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    style="@style/MatchWrap"
    android:layout_marginStart="5dp"
    android:layout_marginTop="0dp"
    android:layout_marginEnd="5dp"
    android:layout_marginBottom="5dp"
    app:cardBackgroundColor="@color/white"
    app:cardCornerRadius="5dp"
    app:cardElevation="3dp"
    app:cardUseCompatPadding="true">

    <!-- Main content container -->
    <LinearLayout
        style="@style/MatchWrap.Vertical"
        android:padding="12dp">

        <!-- Info Row 1 -->
        <RelativeLayout
            style="@style/MatchWrap"
            android:gravity="center_vertical">

            <TextView
                android:id="@+id/tv_material_code"
                style="@style/WrapWrap"
                android:layout_centerVertical="true"
                android:text="WL202305001"
                android:textColor="@color/purple_200"
                android:textSize="16sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_picking_status"
                style="@style/WrapWrap"
                android:layout_centerVertical="true"
                android:layout_gravity="end"
                android:layout_marginEnd="10dp"
                android:layout_toStartOf="@+id/tv_cancel"
                android:paddingHorizontal="10dp"
                android:paddingVertical="2dp"
                android:text="已出库"
                android:textColor="@color/purple_200"
                android:textSize="12sp" />

            <TextView
                android:id="@+id/tv_cancel"
                style="@style/WrapWrap"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_gravity="end"
                android:background="@drawable/status_red_bg"
                android:drawableStart="@drawable/cancel_icon"
                android:drawablePadding="5dp"
                android:paddingHorizontal="10dp"
                android:paddingVertical="2dp"
                android:text="撤销"
                android:textColor="@color/red"
                android:textSize="12sp" />
        </RelativeLayout>

        <RelativeLayout
            style="@style/MatchWrap.Horizontal"
            android:layout_marginTop="5dp">
            <!-- 物资名称 -->
            <TextView
                android:id="@+id/tv_material_name"
                style="@style/text_black14_ww"
                android:layout_centerVertical="true"
                android:text="不锈钢螺丝（吨）"
                android:textStyle="bold" />

            <!-- 规格型号 -->
            <TextView
                android:id="@+id/tv_specification"
                style="@style/text_c666_12_ww"
                android:layout_centerVertical="true"
                android:layout_marginStart="5dp"
                android:layout_toEndOf="@+id/tv_material_name"
                android:text="M6×30mm"
                android:textStyle="bold" />

            <!-- 金额 -->
            <TextView
                android:id="@+id/tv_amount"
                style="@style/text_red14_ww"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:text="¥2250.00"
                android:textStyle="bold" />
        </RelativeLayout>

        <!--横线-->
        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp"
            android:background="@color/c_f5f5" />

        <LinearLayout style="@style/MatchWrap.Horizontal">

            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:layout_weight="1">
                <!-- 计划出库 -->
                <TextView
                    style="@style/WrapWrap"
                    android:text="计划出库"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_planned_outbound"
                    style="@style/text_black14_ww"
                    android:layout_marginStart="10dp"
                    android:text="-"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:layout_weight="1">
                <!-- 已出库 -->
                <TextView
                    style="@style/WrapWrap"
                    android:text="已出库"
                    android:textColor="@color/c_6666"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_actual_outbound"
                    style="@style/text_black14_ww"
                    android:layout_marginStart="10dp"
                    android:text="-"
                    android:textStyle="bold" />

            </LinearLayout>

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/zhankai_button"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:background="?actionBarItemBackground"
                android:gravity="center"
                android:padding="5dp"
                android:src="@drawable/zhankai_icon" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_remarks"
            style="@style/MatchWrap.Horizontal"
            android:layout_marginTop="5dp">

            <!-- 备注 -->
            <TextView
                style="@style/WrapWrap"
                android:text="备注"
                android:textColor="@color/c_6666"
                android:textSize="12sp" />

            <TextView
                android:id="@+id/tv_remarks"
                style="@style/text_black14_ww"
                android:layout_marginStart="10dp"
                android:text="-"
                android:textStyle="bold" />
        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            style="@style/RecyclerViewStyleMatchWrap" />
    </LinearLayout>
</androidx.cardview.widget.CardView>